%define upstream_name	 Clone-PP
%define upstream_version 1.06

Name:       perl-%{upstream_name}
Version:    %perl_convert_version %{upstream_version}
Release:    %mkrel 5

Summary:    Recursively copy Perl datatypes
License:    Artistic/GPL
Group:      Development/Perl
Url:        http://search.cpan.org/dist/%{upstream_name}/
Source0:    ftp://ftp.perl.org/pub/CPAN/modules/by-module/Clone/%{upstream_name}-%{upstream_version}.tar.gz

BuildRequires: perl(Benchmark)
BuildRequires: perl(Carp)
BuildRequires: perl(Data::Dumper)
BuildRequires: perl(Exporter)
BuildRequires: perl(ExtUtils::MakeMaker)
BuildRequires: perl(strict)
BuildRequires: perl(vars)
BuildRequires: perl(warnings)
BuildArch:  noarch

%description
This module provides a general-purpose clone function to make deep
copies of Perl data structures. It calls itself recursively to copy
nested hash, array, scalar and reference types, including tied
variables and objects.

%prep
%setup -q -n %{upstream_name}-%{upstream_version}

%build
%{__perl} Makefile.PL INSTALLDIRS=vendor
%make

%check
%make test

%install
%makeinstall_std

%files
%defattr(644,root,root,755)
%doc Changes META.json META.yml MYMETA.yml README
%{_mandir}/*/*
%{perl_vendorlib}/Clone

%changelog
* Sat Jun 18 2016 pterjan <pterjan> 1.60.0-5.mga6
+ Revision: 1024262
- Rebuild for perl 5.22.2

* Mon Feb 08 2016 umeabot <umeabot> 1.60.0-4.mga6
+ Revision: 946064
- Mageia 6 Mass Rebuild

* Wed Oct 15 2014 umeabot <umeabot> 1.60.0-3.mga5
+ Revision: 747858
- Second Mageia 5 Mass Rebuild

* Tue Sep 16 2014 umeabot <umeabot> 1.60.0-2.mga5
+ Revision: 683955
- Mageia 5 Mass Rebuild

* Mon Jul 21 2014 sander85 <sander85> 1.60.0-1.mga5
+ Revision: 655141
- update to 1.06

* Mon Feb 24 2014 jquelin <jquelin> 1.50.0-1.mga5
+ Revision: 596235
- update to 1.05

* Fri Oct 18 2013 umeabot <umeabot> 1.20.0-3.mga4
+ Revision: 510177
- Mageia 4 Mass Rebuild

* Sun Jan 13 2013 umeabot <umeabot> 1.20.0-2.mga3
+ Revision: 364532
- Mass Rebuild - https://wiki.mageia.org/en/Feature:Mageia3MassRebuild

* Fri Jan 21 2011 jquelin <jquelin> 1.20.0-1.mga1
+ Revision: 29913
- mageia rebuild
- imported package perl-Clone-PP

